Bug 1652599 - There is an illegal address access at ext/testcase.c:577 testcase_str2dep_complex in libsolv.
Summary: There is an illegal address access at ext/testcase.c:577 testcase_str2dep_com...
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libsolv (Show other bugs)
(Show other bugs)
Version: 8.1
Hardware: All All
high
urgent
Target Milestone: rc
: 8.0
Assignee: Jaroslav Rohel
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 13:06 UTC by shuitao gan
Modified: 2018-12-13 08:45 UTC (History)
3 users (show)

Fixed In Version: libsolv-0.6.35-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Triggered by “./testsolv POC0” (15.01 KB, application/octet-stream)
2018-11-22 13:06 UTC, shuitao gan
no flags Details

Description shuitao gan 2018-11-22 13:06:53 UTC
Created attachment 1507932 [details]
Triggered by “./testsolv POC0”

version: libsolv2.4
Summary: 

There is an illegal address access at ext/testcase.c:577 testcase_str2dep_complex in libsolv.

Description:

The asan debug is as follows:

$./testsolv POC0

=================================================================
==37349==ERROR: AddressSanitizer: SEGV on unknown address 0x000000000000 (pc 0x7fab0e11bf2b bp 0x7ffdfc044b70 sp 0x7ffdfc044a90 T0)
    #0 0x7fab0e11bf2a in testcase_str2dep_complex /home/company/real_sanitize/libsolv-master/ext/testcase.c:577
    #1 0x7fab0e11c80f in testcase_str2dep /home/company/real_sanitize/libsolv-master/ext/testcase.c:656
    #2 0x7fab0e12e64a in testcase_read /home/company/real_sanitize/libsolv-master/ext/testcase.c:2952
    #3 0x402aa5 in main /home/company/real_sanitize/libsolv-master/tools/testsolv.c:148
    #4 0x7fab0d9d2a3f in __libc_start_main (/lib/x86_64-linux-gnu/libc.so.6+0x20a3f)
    #5 0x401bb8 in _start (/home/company/real_sanitize/libsolv-master/build/install/bin/testsolv+0x401bb8)

AddressSanitizer can not provide additional info.
SUMMARY: AddressSanitizer: SEGV /home/company/real_sanitize/libsolv-master/ext/testcase.c:577 testcase_str2dep_complex
==37349==ABORTING

Comment 2 Jaroslav Rohel 2018-12-05 13:20:59 UTC
Please, which version of libsolv do you have? The "libsolv2.4" seems strange.
In RHEL 8 is "libsolv-0.6.35".

Comment 3 Jaroslav Rohel 2018-12-11 13:08:04 UTC
PR https://github.com/openSUSE/libsolv/pull/291


Note You need to log in before you can comment on or make changes to this bug.